package cokr.xit.fims.mngt;

import cokr.xit.fims.cmmn.CmmnQuery;

/**위반 정보 정보 조회 요청
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-10-16	JoJH 최초 작성
 * ================================
 * </pre>
 */
public class VltnQuery extends CmmnQuery {

	private static final long serialVersionUID = 1L;

	private String vltnId;				// 위반 ID
	private String lawCd;				// 법 코드
	private String vltnCd;				// 위반 코드
	private String vltnArtcl;			// 위반 항목
	private String acntgSeCd;			// 회계 구분 코드
	private String txitmCd;				// 세목 코드

	public String getVltnId() {
		return ifEmpty(vltnId, () -> null);
	}

	public <T extends VltnQuery> T setVltnId(String vltnId) {
		this.vltnId = vltnId;
		return self();
	}

	public String getLawCd() {
		return ifEmpty(lawCd, () -> null);
	}

	public <T extends VltnQuery> T setLawCd(String lawCd) {
		this.lawCd = lawCd;
		return self();
	}

	public String getVltnCd() {
		return ifEmpty(vltnCd, () -> null);
	}

	public <T extends VltnQuery> T setVltnCd(String vltnCd) {
		this.vltnCd = vltnCd;
		return self();
	}

	public String getVltnArtcl() {
		return ifEmpty(vltnArtcl, () -> null);
	}

	public <T extends VltnQuery> T setVltnArtcl(String vltnArtcl) {
		this.vltnArtcl = vltnArtcl;
		return self();
	}

	public String getAcntgSeCd() {
		return ifEmpty(acntgSeCd, () -> null);
	}

	public <T extends VltnQuery> T setAcntgSeCd(String acntgSeCd) {
		this.acntgSeCd = acntgSeCd;
		return self();
	}

	public String getTxitmCd() {
		return ifEmpty(txitmCd, () -> null);
	}

	public <T extends VltnQuery> T setTxitmCd(String txitmCd) {
		this.txitmCd = txitmCd;
		return self();
	}

}
